// dvmparam.h : const for DVM board manipulation

typedef enum {
	DVM_Absent=0,
	DVM_ReadOnly,
	DVM_Available
} DVM_State;

typedef enum {
	DVM_Format,
	DVM_Mode,
	DVM_YUVOutputType,
	DVM_Flicker,
	DVM_Sharpness,
	DVM_Hoffset,
	DVM_Voffset,
	DVM_DVIInputHSyncInvert,
	DVM_DVIInputVSyncInvert,
	DVM_DVIInputBlankInvert,
	DVM_LastParameter
} DVMParameterType;

typedef enum {
	DVM_FormatNTSC720=0,
	DVM_FormatPAL720,
	DVM_FormatNTSC640,
	DVM_FormatPAL800,
	DVM_FormatUnknown,
} DVMFormat;

typedef enum {
	DVM_ModeErr=0,
	DVM_Mode1,
	DVM_Mode2,
	DVM_Mode3,
	DVM_Mode4,
	DVM_Mode5,
	DVM_Mode6,
	DVM_Mode7,
	DVM_LastMode
} DVMMode;

typedef enum {
	DVM_OutputYUV=0,
	DVM_OutputRGB,
	DVM_OutputYC,
} DVMOutput;

typedef enum {
	DVM_SourceDVI=0,
	DVM_SourceSDI,
	DVM_SourceFD200,
	DVM_SourceNONE
} DVMSource;
